MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032506Open CASCADE[OCCT] OCCT:Visualizationpublic2021-07-30 22:322021-08-23 22:59
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytweak 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032506: Visualization - add AIS_InteractiveContext::ObjectIterator() for iterating over objects in context
DescriptionCurrently AIS_InteractiveContext does not expose internal map of objects, so that application may only copy a list of objects to a dedicated AIS_ListOfInteractive list via AIS_InteractiveContext::ObjectsInside().

This is intended design, but in some cases it is a redundant burden and possible performance bottleneck using always-copy API.

It is proposed adding a method AIS_InteractiveContext::ObjectIterator() to allow iterating over map directly.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0032518verifiedbugmaster Visualization - add AIS_InteractiveContext::SetDefaultDrawer() 

-  Notes
(0102905)
git (administrator)
2021-07-30 22:35

Branch CR32506 has been created by kgv.

SHA-1: f924c0ca5deac5f92567c245b4f576c891268907


Detailed log of new commits:

Author: kgv
Date: Fri Jul 30 22:35:28 2021 +0300

    0032506: Visualization - add AIS_InteractiveContext::ObjectIterator() for iterating over objects in context
(0102906)
kgv (developer)
2021-07-30 22:54

Please raise the patch
- OCCT: branch CR32506.
(0102912)
bugmaster (administrator)
2021-08-01 11:21

Combination -
OCCT branch : IR-2021-07-30
master SHA - 32f86ef5a3c707dad35ba0f1b9898493d617eeca
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-07-30 SHA - 2a72e5f4295bffae3fd8164fa55e16be15790f0f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17380.7400000004 / 17349.310000000267 [+0.18%]
Products
Total CPU difference: 11476.060000000101 / 11454.86000000009 [+0.19%]
Windows-64-VC14:
OCCT
Total CPU difference: 19196.375 / 19158.609375 [+0.20%]
Products
Total CPU difference: 12808.78125 / 12764.375 [+0.35%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0103376)
git (administrator)
2021-08-23 22:59

Branch CR32506 has been deleted by kgv.

SHA-1: f924c0ca5deac5f92567c245b4f576c891268907

- Related Changesets
occt: master 32f86ef5
Timestamp: 2021-07-30 19:35:28
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032506: Visualization - add AIS_InteractiveContext::ObjectIterator() for iterating over objects in context
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-07-30 22:32 kgv New Issue
2021-07-30 22:32 kgv Assigned To => kgv
2021-07-30 22:35 git Note Added: 0102905
2021-07-30 22:54 kgv Note Added: 0102906
2021-07-30 22:54 kgv Assigned To kgv => bugmaster
2021-07-30 22:54 kgv Status new => resolved
2021-07-30 22:54 kgv Status resolved => reviewed
2021-08-01 11:21 bugmaster Note Added: 0102912
2021-08-01 11:21 bugmaster Status reviewed => tested
2021-08-01 11:24 bugmaster Test case number => Not required
2021-08-01 11:33 bugmaster Changeset attached => occt master 32f86ef5
2021-08-01 11:33 bugmaster Status tested => verified
2021-08-01 11:33 bugmaster Resolution open => fixed
2021-08-04 09:41 kgv Relationship added related to 0032518
2021-08-23 22:59 git Note Added: 0103376


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker